Get CBDC Transaction by ID
get
{baseUrl}/v1/{contractAddress}/{ordsPathPrefix}/getCBDCTransactionById
Retrieves a CBDC transaction by its identifier. Generated from `ORDS GET /getCBDCTransactionById`.
Request
Path Parameters
-
contractAddress(required): string
Path parameter
-
ordsPathPrefix(required): string
Path parameter
Query Parameters
Header Parameters
-
X-Service-Token(required): string
Service token forwarded to ORDS as the Authorization header.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The queried record.
Nested Schema : items
Type:
Show Source
object-
amount: string
-
block_number: number
-
from_account_id: string
-
from_org_id: string
-
from_user_id: string
-
holding_id: string
-
operation_id: string
-
purpose: string
-
timestamp: string
(date-time)
Pattern:
^\d{4}-[01]\d-[0123]\dT[012]\d:[0-5]\d:[0-5]\d(.\d+)?(Z|([-+][012]\d:[0-5]\d))$ -
to_account_id: string
-
to_org_id: string
-
to_user_id: string
-
token_id: string
-
transaction_id: string
-
transaction_type: string
400 Response
The wrapper rejected the request before it could complete a downstream call.
502 Response
The wrapper could not complete the downstream call.
Default Response
ORDS upstream status, content type, and response body are passed through unchanged.